id: agaric_blog
migration_group: agaric
label: Agaric Blog
source:
  plugin: agaric_node
  node_type: blog
destination:
  plugin: entity:node
process:
  type:
    plugin: default_value
    default_value: blog
  langcode:
    plugin: default_value
    source: language
    default_value: "und"
  title: title
  uid:
    -
      plugin: migration_lookup
      migration: agaric_user
      source: node_uid
      no_stub: true
    -
      plugin: skip_on_empty
      method: row
  paragraph_body:
    plugin: migration
    migration: agaric_blog_paragraph
    source: nid
  field_body_paragraph:
    plugin: iterator
    source:
      - '@paragraph_body'
    process:
      target_id: '0'
      target_revision_id: '1'
  field_summary: body/0/summary
  field_image:
    -
      plugin: iterator
      source: field_image
      process:
        target_id:
          plugin: migration_lookup
          migration: agaric_file
          source: fid
        alt: alt
        title: title
        height: height
        width: width
  status: status
  created: created
  changed: changed
  promote: promote
  sticky: sticky
  revision_uid: revision_uid
  revision_log: log
  revision_timestamp: timestamp
  field_authors/target_id:
    plugin: migration_lookup
    source: node_uid
    migration: agaric_people
  field_tags:
    plugin: sub_process
    source: field_tags_names
    process:
      target_id:
      - plugin: entity_generate
        source: name
        value_key: name
        bundle_key: vid
        bundle: tags
        entity_type: taxonomy_term
        ignore_case: true
migration_dependencies:
  required:
    - agaric_people
    - agaric_user
    - agaric_blog_paragraph
